***********************************;
* Program to call scoring modules *;
***********************************;

********************;
* DSM3R algorithms *;
********************;

   %include "./dsm3r_add.sas" / nosource2;
   %include "./dsm3r_alc.sas" / nosource2;
   %include "./dsm3r_anx.sas" / nosource2;
   %include "./dsm3r_bul.sas" / nosource2;
   %include "./dsm3r_can.sas" / nosource2;
   %include "./dsm3r_cd.sas" / nosource2;
   %include "./dsm3r_dep.sas" / nosource2;
   %include "./dsm3r_drg.sas" / nosource2;
   %include "./dsm3r_dys.sas" / nosource2;
   %include "./dsm3r_man.sas" / nosource2;
   %include "./dsm3r_ocd.sas" / nosource2;
   %include "./dsm3r_odd.sas" / nosource2;
   %include "./dsm3r_ovx.sas" / nosource2;
   %include "./dsm3r_pan.sas" / nosource2;
   %include "./dsm3r_psy.sas" / nosource2;
   %include "./dsm3r_sep.sas" / nosource2;
   %include "./dsm3r_soc.sas" / nosource2;
   %include "./dsm3r_som.sas" / nosource2;

*******************;
* DSM4 algorithms *;
*******************;

   %include "./dsm4_add.sas" / nosource2;
   %include "./dsm4_alc.sas" / nosource2;
   %include "./dsm4_anx.sas" / nosource2;
   %include "./dsm4_bul.sas" / nosource2;
   %include "./dsm4_can.sas" / nosource2;
   %include "./dsm4_cd.sas" / nosource2;
   %include "./dsm4_dep.sas" / nosource2;
   %include "./dsm4_drg.sas" / nosource2;
   %include "./dsm4_dys.sas" / nosource2;
   %include "./dsm4_gad.sas" / nosource2;
   %include "./dsm4_man.sas" / nosource2;
   %include "./dsm4_ocd.sas" / nosource2;
   %include "./dsm4_odd.sas" / nosource2;
   %include "./dsm4_pan.sas" / nosource2;
   %include "./dsm4_sep.sas" / nosource2;
   %include "./dsm4_soc.sas" / nosource2;
   %include "./dsm4_som.sas" / nosource2;
   %include "./dsm4_tob.sas" / nosource2;

********************;
* ICD10 algorithms *;
********************;

   %include "./icd10_add.sas" / nosource2;
   %include "./icd10_alc.sas" / nosource2;
   %include "./icd10_can.sas" / nosource2;
   %include "./icd10_cd.sas" / nosource2;
   %include "./icd10_dep.sas" / nosource2;
   %include "./icd10_drg.sas" / nosource2;
   %include "./icd10_gad.sas" / nosource2;
   %include "./icd10_ocd.sas" / nosource2;
   %include "./icd10_odd.sas" / nosource2;
   %include "./icd10_pan.sas" / nosource2;
   %include "./icd10_sep.sas" / nosource2;
   %include "./icd10_soc.sas" / nosource2;

***********************;
* Feighner algorithms *;
***********************;

   %include "./fgn_alc.sas" / nosource2;

