options source2;
libname mf 'C:\MyFiles\mf25';
%macro crtdx(dset);
data dx_&dset;set mf.&dset;
   keep ind_id ;
   if DRUG5 ne '' then do;
      OtherDrugName=DRUG5;
      OtherDrugCode=DR2_Code;
   end;
   keep OtherDrugName OtherDrugCode;
   label OtherDrugName='OtherDrugName:DRUG5 (see DR2)';
   label OtherDrugCode='OtherDrugCode=DRUG5_Code (see DR2)';

   %include 'C:\MyFiles\dx_CSSAGA-IVrv\TB_DSMIVrv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\FTND.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AL_DSMIIIRrv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AL_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AL_ICD10rv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AL_FGN.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\ALGeneticModelsDx.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\MJ_DSMIIIR.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\MJ_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\MJ_ICD10.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\DR_DSMIIIRrv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\DR_DSMIVrv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\DR_ICD10rv.txt'; 
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AN_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\BU_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\DP_DSMIVrv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\CD_DSMIVrv.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AD_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\ODD_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\PT_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\OCD_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\SP_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\PN_DSMIV.txt';
   %include 'C:\MyFiles\dx_CSSAGA-IVrv\AG_DSMIV.txt';
 data mf.dx_&dset;set dx_&dset;
%mend;
%crtdx(cssaga4)
%crtdx(cssaga4_f1)
%crtdx(cssaga4_f2)
%crtdx(cssaga4_f3)


run;
