***** cdrg.sas ***** (3/27/95);

* C-SSAGA DSM-III-R: Psychoactive Substance (Street Drugs) Use Disorder *;

** Street Drugs Dependence **;

*** SD Criterion A ***;

**** SD screener 0 ****;
if sd1_1=5 | sd1_2=5 | sd1_3=5 | sd1_4=5 | sd1_5=5 | sd1_6=5 | sd2=5 | sd3=5
 | sd4=5 then #sdscr0=1;
else if sd1_1=1 & sd1_2=1 & sd1_3=1 & sd1_4=1 & sd1_5=1 & sd1_6=1 | sd2=1 |
 sd3=1 | sd4=1 then #sdscr0=0;

array sd6a_(6) sd6a_1-sd6a_6;
array sd6b_(6) sd6b_1-sd6b_6;
array sdscr(6) #sdscr1-#sdscr6;

array sda1_9(6,9) #sd3ra11-#sd3ra19 #sd3ra21-#sd3ra29 #sd3ra31-#sd3ra39
                   #sd3ra41-#sd3ra49 #sd3ra51-#sd3ra59 #sd3ra61-#sd3ra69;
array sds(6) #sd3rsx1-#sd3rsx6;
array sdm(6) #sd3rmx1-#sd3rmx6;
array sda(6) #sd3ra1-#sd3ra6;
array sdb(6) #sd3rb1-#sd3rb6;
array sdde(6) #sd3rde1-#sd3rde6;

array sdaa1(6) #sd3aa11 #sd3aa21 #sd3aa31 #sd3aa41 #sd3aa51 #sd3aa61;
array sdaa2(6) #sd3aa12 #sd3aa22 #sd3aa32 #sd3aa42 #sd3aa52 #sd3aa62;
array sdaa(6) #sd3raa1-#sd3raa6;
array sdba(6) #sd3rba1-#sd3rba6;
array sdca(6) #sd3rca1-#sd3rca6;
array sdab(6) #sd3rab1-#sd3rab6;

array sd12a_(6) sd12a_1-sd12a_6;
array sd12b_(6) sd12b_1-sd12b_6;
array sd13a_(6) sd13a_1-sd13a_6;
array sd13b_(6) sd13b_1-sd13b_6;
array sd9a_(6) sd9a_1-sd9a_6;
array sd9b_(6) sd9b_1-sd9b_6;
array sd9c_(6) sd9c_1-sd9c_6;
array sd11_(6) sd11_1-sd11_6;
array sd14a_(6) sd14a_1-sd14a_6;
array sd14b_(6) sd14b_1-sd14b_6;
array sd15_(6) sd15_1-sd15_6;
array sd16a_(6) sd16a_1-sd16a_6;
array sd16b_(6) sd16b_1-sd16b_6;
array sd17a_(6) sd17a_1-sd17a_6;
array sd17b_(6) sd17b_1-sd17b_6;
array sd10_(6) sd10_1-sd10_6;
array sd18a_(6) sd18a_1-sd18a_6;
array sd18b_(6) sd18b_1-sd18b_6;
array sd18c_(6) sd18c_1-sd18c_6;
array sd18d_(6) sd18d_1-sd18d_6;
array sd18e_(6) sd18e_1-sd18e_6;
array sd20a_(6) sd20a_1-sd20a_6;
array sd20b_(6) sd20b_1-sd20b_6;
array sd20c_(6) sd20c_1-sd20c_6;
array sd20d_(6) sd20d_1-sd20d_6;
array sd20e_(6) sd20e_1-sd20e_6;
array sd20f_(6) sd20f_1-sd20f_6;
array sd21_(6) sd21_1-sd21_6;
array sd8a_(6) sd8a_1-sd8a_6;
array sd8b_(6) sd8b_1-sd8b_6;
array sd22_(16,6) sd22a_1-sd22a_6 sd22b_1-sd22b_6 sd22c_1-sd22c_6
 sd22d_1-sd22d_6 sd22e_1-sd22e_6 sd22f_1-sd22f_6 sd22g_1-sd22g_6
 sd22h_1-sd22h_6 sd22i_1-sd22i_6 sd22j_1-sd22j_6 sd22k_1-sd22k_6
 sd22l_1-sd22l_6 sd22m_1-sd22m_6 sd22n_1-sd22n_6 sd22o_1-sd22o_6
 sd22p_1-sd22p_6;
array sd23_(6) sd23_1-sd23_6;
array sd24_(6) sd24_1-sd24_6;

do i=1 to 6;

 **** SD screener 1-6 ****;
 if sd6a_(i) ge 7 | (1 le sd6b_(i) le 4) then sdscr(i)=1;
 else if #sdscr0=0 | (0 le sd6a_(i) le 6) | sd6b_(i)=0 then sdscr(i)=0;

 sda1_9(i,1)=1;  **** symptom group 1 ****;
 if sd12b_(i)=5 | sd13b_(i)=5 then sda1_9(i,1)=5;
 else if sd12a_(i)=9 | sd12b_(i)=9 | sd13a_(i)=9 | sd13b_(i)=9 then
  sda1_9(i,1)=.;

 sda1_9(i,2)=1;  **** symptom group 2 ****;
 if sd9c_(i)=5 | sd9b_(i)=5 then sda1_9(i,2)=5;
 else if sd9a_(i)=9 | sd9b_(i)=9 | sd9c_(i)=9 then sda1_9(i,2)=.;

 sda1_9(i,3)=1;  **** symptom group 3 ****;
 if sd11_(i)=5 then sda1_9(i,3)=5;
 else if sd11_(i)=9 then sda1_9(i,3)=.;

 sda1_9(i,4)=1;  **** symptom group 4 ****;
 if sd14b_(i)=5 | sd15_(i)=5 | sd16b_(i)=5 | sd17b_(i)=5 then sda1_9(i,4)=5;
 else if sd14a_(i)=9 | sd14b_(i)=9 | sd15_(i)=9 | sd16a_(i)=9 | sd16b_(i)=9 |
  sd17a_(i)=9 | sd17b_(i)=9 then sda1_9(i,4)=.;

 sda1_9(i,5)=1;  **** symptom group 5 ****;
 if sd10_(i)=5 then sda1_9(i,5)=5;
 else if sd10_(i)=9 then sda1_9(i,5)=.;

 sda1_9(i,6)=1;  **** symptom group 6 ****;
 if sd18e_(i)=5 | sd20f_(i)=5 | sd21_(i)=5 then sda1_9(i,6)=5;
 else if sd18e_(i)=9 | sd18d_(i)=9 | (sd18d_(i)=. & (sd18a_(i)=9 | sd18b_(i)=9
  | sd18c_(i)=9)) | sd20f_(i)=9 | sd20e_(i)=9 | (sd20e_(i)=. & (sd20a_(i)=9 |
  sd20b_(i)=9 | sd20c_(i)=9 | sd20d_(i)=9)) | sd21_(i)=9 then sda1_9(i,6)=.;

 sda1_9(i,7)=1;  **** symptom group 7 ****;
 if sd8a_(i)=5 | sd8b_(i)=5 then sda1_9(i,7)=5;
 else if sd8a_(i)=9 | sd8b_(i)=9 then sda1_9(i,7)=.;

 sd24_9s=0;
 do j=1 to 16;
  if sd22_(j,i)=9 then sd24_9s+1;
 end;

 sda1_9(i,8)=1;  **** symptom group 8 ****;
 if sd24_(i)=5 then sda1_9(i,8)=5;
 else if sd24_(i)=9 | (sd24_(i)=. & sd24_9s ge 2) then sda1_9(i,8)=.;

 sda1_9(i,9)=1;  **** symptom group 9 ****;
 if sd23_(i)=5 then sda1_9(i,9)=5;
 else if sd23_(i)=9 | sd22_(1,i)=9 | sd22_(2,i)=9 | sd22_(3,i)=9 | sd22_(4,i)=9
  | sd22_(5,i)=9 | sd22_(6,i)=9 | sd22_(7,i)=9 | sd22_(8,i)=9 | sd22_(9,i)=9
  | sd22_(10,i)=9 | sd22_(11,i)=9 | sd22_(12,i)=9 | sd22_(13,i)=9 | sd22_(14,i)=9
  | sd22_(15,i)=9 | sd22_(16,i)=9 then sda1_9(i,9)=.;

 if #sdscr0=. | sdscr(i)=. then do j=1 to 9;
  sda1_9(i,j)=.;
 end;

 sds(i)=0; sdm(i)=0;  **** symptom group counts ****;
 do j=1 to 9;
  if sda1_9(i,j)=5 then sds(i)+1;
  else if sda1_9(i,j)=. then sdm(i)+1;
 end;

 sda(i)=1;  *** Criterion A ***;
 if sds(i) ge 3 then sda(i)=5;
 else if sds(i)+sdm(i) ge 3 then sda(i)=.;

 *** SD Criterion B ***;

 sdb(i)=1;
 if sd26b=5 then sdb(i)=5;
 else if sd26b=9 | sdm(i) ge 1 then sdb(i)=.;

 ** Street Drugs Dependence Diagnosis **;

 sdde(i)=1;
 if sda(i)=5 & sdb(i)=5 then sdde(i)=5;
 else if sda(i)=. | (sda(i) ne 1 & sdb(i)=.) then sdde(i)=.;

 ** Street Drugs Abuse **;

 *** SD Criterion A ***;

 sdaa1(i)=sda1_9(i,6);  **** symptom group 1 ****;

 sdaa2(i)=1;  **** symptom group 2 ****;
 if sd16b_(i)=5 | sd17b_(i)=5 then sdaa2(i)=5;
 else if sd16a_(i)=9 | sd16b_(i)=9 | sd17a_(i)=9 | sd17b_(i)=9 then sdaa2(i)=.;

 sdaa(i)=1;  *** Criterion A ***;
 if sdaa1(i)=5 | sdaa2(i)=5 then sdaa(i)=5;
 else if sdaa1(i)=. | sdaa2(i)=. then sdaa(i)=.;

 if #sdscr0=. | sdscr(i)=. then do;
  sdaa1(i)=.; sdaa2(i)=.;
 end;

 *** SD Criterion B ***;

 sdba(i)=1;
 if sd26b=5 then sdba(i)=5;
 else if sd26b=9 | (sdaa1(i)=. | sdaa2(i)=.) then sdba(i)=.;

 *** SD Criterion C ***;

 sdca(i)=1;
 if sdde(i)=1 then sdca(i)=5;
 else if sdde(i)=. then sdca(i)=.;

 ** Street Drugs Abuse Diagnosis **;

 sdab(i)=1;
 if sdaa(i)=5 & sdba(i)=5 & sdca(i)=5 then sdab(i)=5;
 else if sdaa(i)=. | (sdaa(i) ne 1 & sdca(i)=.) | (sdaa(i) ne 1 & sdca(i) ne 1
  & sdba(i)=.) then sdab(i)=.;
end;

label #sd3ra1='Street Drugs Dependence Criterion A'
      #sd3ra2='Street Drugs Dependence Criterion A'
      #sd3ra3='Street Drugs Dependence Criterion A'
      #sd3ra4='Street Drugs Dependence Criterion A'
      #sd3ra5='Street Drugs Dependence Criterion A'
      #sd3ra6='Street Drugs Dependence Criterion A'
      #sd3rb1='Street Drugs Dependence Criterion B'
      #sd3rb2='Street Drugs Dependence Criterion B' 
      #sd3rb3='Street Drugs Dependence Criterion B' 
      #sd3rb4='Street Drugs Dependence Criterion B' 
      #sd3rb5='Street Drugs Dependence Criterion B' 
      #sd3rb6='Street Drugs Dependence Criterion B' 
      #sd3rde1='Street Drugs Dependence Diagnosis'
      #sd3rde2='Street Drugs Dependence Diagnosis' 
      #sd3rde3='Street Drugs Dependence Diagnosis' 
      #sd3rde4='Street Drugs Dependence Diagnosis' 
      #sd3rde5='Street Drugs Dependence Diagnosis' 
      #sd3rde6='Street Drugs Dependence Diagnosis' 
      #sd3raa1='Street Drugs Abuse Criterion A'
      #sd3raa2='Street Drugs Abuse Criterion A' 
      #sd3raa3='Street Drugs Abuse Criterion A' 
      #sd3raa4='Street Drugs Abuse Criterion A' 
      #sd3raa5='Street Drugs Abuse Criterion A' 
      #sd3raa6='Street Drugs Abuse Criterion A' 
      #sd3rba1='Street Drugs Abuse Criterion B' 
      #sd3rba2='Street Drugs Abuse Criterion B' 
      #sd3rba3='Street Drugs Abuse Criterion B' 
      #sd3rba4='Street Drugs Abuse Criterion B'  
      #sd3rba5='Street Drugs Abuse Criterion B'  
      #sd3rba6='Street Drugs Abuse Criterion B'  
      #sd3rca1='Street Drugs Abuse Criterion C' 
      #sd3rca2='Street Drugs Abuse Criterion C' 
      #sd3rca3='Street Drugs Abuse Criterion C' 
      #sd3rca4='Street Drugs Abuse Criterion C'  
      #sd3rca5='Street Drugs Abuse Criterion C'   
      #sd3rca6='Street Drugs Abuse Criterion C'  
      #sd3rab1='Street Drugs Abuse Diagnosis'  
      #sd3rab2='Street Drugs Abuse Diagnosis' 
      #sd3rab3='Street Drugs Abuse Diagnosis' 
      #sd3rab4='Street Drugs Abuse Diagnosis' 
      #sd3rab5='Street Drugs Abuse Diagnosis'  
      #sd3rab6='Street Drugs Abuse Diagnosis'  
  ;
