***** covr.sas ***** (3/27/95 rev);

* C-SSAGA DSM-III-R: Overanxious Disorder *;

** Ov Criterion A **;

array ryova ov2-ov8;
array ryovb #ov3ra1-#ov3ra7;

do over ryova;  *** symptom groups 1-7 ***;
 ryovb=ryova;
 if ryova=9 then ryovb=.;
end;

*** Ov screener 1 ***;
if #ov3ra1 ge 3 | #ov3ra2 ge 3 then #ovscr1=1;
else if #ov3ra1=1 & #ov3ra2=1 then #ovscr1=0;

if #ovscr1=. then do;
 #ov3ra3=.; #ov3ra4=.; #ov3ra5=.; #ov3ra6=.; #ov3ra7=.;
end;

#ov3rsx5=0; #ov3rsx3=0; #ov3ramx=0;  *** symptom group counts ***;
do over ryovb;
 if ryovb=5 then #ov3rsx5+1;
 else if ryovb=. then #ov3ramx+1;
 if ryovb ge 3 then #ov3rsx3+1;     * if vs else if intentional;
end;

***Diagnosis without duration or clustering 
      - just based on symptom count***;
#ov3rct5=1; #ov3rct3=1;  ** 4+ symptom groups **;
if #ov3rsx5 ge 4 then #ov3rct5=5;
else if #ov3rsx5+#ov3ramx ge 4 then #ov3rct5=.;
if #ov3rsx3 ge 4 then #ov3rct3=5;
else if #ov3rsx3+#ov3ramx ge 4 then #ov3rct3=.;

#ov3ra5=1; #ov3ra3=1;  ** Criterion A **;
if #ov3rct5=5 & ov10a=5 & ov10b=5 then #ov3ra5=5;
else if #ov3rct5=. | (ov10a=. & #ov3rct5 ne 1 & ov10b ne 1) | (ov10b=. &
 #ov3rct5 ne 1 & ov10a ne 1) then #ov3ra5=.;
if #ov3rct3=5 & ov10a=5 & ov10b=5 then #ov3ra3=5;
else if #ov3rct3=. | (ov10a=. & #ov3rct3 ne 1 & ov10b ne 1) | (ov10b=. &
 #ov3rct3 ne 1 & ov10a ne 1) then #ov3ra3=.;

** Ov Criterion B, C, D not assessed **;

* Overaxious Diagnosis *;

#ov3r=1;
if #ov3ra5=5 then #ov3r=5;
else if #ov3ra3=5 then #ov3r=3;
else if ov2=1 & ov3=1 then #ov3r=1;
else if #ov3ra5=. | #ov3ra3=. then #ov3r=.;

label #ov3rct5='OvrAnx 4+symptoms, no alc/drg use'
      #ov3rct3='OvrAnx 4+symptoms, alc/drg use'
      #ov3ra5='OvrAnx Criterion A - No alc/drg use'
      #ov3ra3='OvrAnx Criterion A - Alc/drg use'
      #ov3r='Overanxious Diagnosis'
;

