********************************;
* expand serial variable names *;
********************************;

%macro serial(namevar,serial);
   %local i j k thisword whchword frstmark lastmark frstword
          chkloop stoploop baselen frstval baseword lastval;
   %if %index(&serial,%str(-))>0 %then %do;
      %do %until("&thisword"="");
         %let whchword=%eval(&whchword+1);
         %let thisword=%scan(&serial,&whchword,%str( ));
         %if %index(&thisword,%str(-))>0 %then %do;
            %do j=3 %to 1 %by -1;
               %let frstmark=%substr(&serial,1,%eval(%index(&serial,&thisword)-&j));
               %if &frstmark in (0,1,2,3,4,5,6,7,8,9) %then %do;
                  %let k=&j;
                  %let j=0;
               %end;
            %end;
            %let lastmark=%substr(&serial,
                                  %eval(%length(&frstmark)+%length(&thisword)+%eval(&k+1)));
            %let frstword=%scan(&thisword,1,%str(-));
            %let baselen=%length(&frstword);
            %let stoploop=0;
            %do i=%length(&frstword) %to 2 %by -1;
               %let chkloop=%substr(&frstword,&i,1);
               %if %quote(&stoploop)=0 %then %do;
                  %if %quote(&chkloop)=0 or %quote(&chkloop)=1 or
                      %quote(&chkloop)=2 or %quote(&chkloop)=3 or
                      %quote(&chkloop)=4 or %quote(&chkloop)=5 or
                      %quote(&chkloop)=6 or %quote(&chkloop)=7 or
                      %quote(&chkloop)=8 or %quote(&chkloop)=9 %then %do;
                     %let baselen=%eval(&baselen-1);
                     %let frstval=%substr(&frstword,&i);
                  %end;
                  %else %do;
                     %let frstval=%substr(&frstword,%eval(&i+1));
                     %let stoploop=1;
                  %end;
               %end;
            %end;
            %let baseword=%substr(&frstword,1,&baselen);
            %let lastval=%substr(%scan(&thisword,2,%str(-)),%eval(&baselen+1));
            %let expand=;
            %do i=&frstval %to &lastval;
               %let expand=&expand &baseword&i;
            %end;
            %let serial=&frstmark &expand &lastmark;
         %end;
      %end;
      %let whchword=%eval(&whchword - 1);
   %end;
   %let %str(&namevar.)=&serial;

%mend serial;

