***** cadh.sas ***** (3/27/95) ;

* C-SSAGA DSM-III-R: Attention Deficit-Hyperactivity Disorder *;

** ADHD Criterion A **;

array ryada at1_1 at2_1 at3_1 at4_1 at5_1 at6_1 at8_1 at9_1 at10_1 at11_1
 at12_1 at13_1 at14_1;
array ryadb #at3ra1-#at3ra6 #at3ra8-#at3ra14;

do over ryada;  *** symptom groups 1-6,8-14 ***;
 ryadb=1;
 if ryada=5 then ryadb=5;
 else if ryada=9 then ryadb=.;
end;

#at3ra7=1;  *** symptom group 7 ***;
if at7a_1=5 | at7b_1=5 then #at3ra7=5;
else if at7a_1=9 | at7b_1=9 then #at3ra7=.;

*** ADHD screener 1 ***;
if #at3ra1=5 | #at3ra2=5 | #at3ra3=5 | #at3ra4=5 | #at3ra5=5 | #at3ra6=5 |
 #at3ra7=5 | #at3ra8=5 then #atscr1=1;
else if #at3ra1=1 & #at3ra2=1 & #at3ra3=1 & #at3ra4=1 & #at3ra5=1 &
 #at3ra6=1 & #at3ra7=1 & #at3ra8=1 then #atscr1=0;

if #atscr1=. then do;
 #at3ra9=.; #at3ra10=.; #at3ra11=.; #at3ra12=.; #at3ra13=.; #at3ra14=.;
end;

#at3rasx=0; #at3ramx=0;  *** symptom group counts ***;
array ryadc #at3ra1-#at3ra14;
do over ryadc;
 if ryadc=5 then #at3rasx+1;
 else if ryadc=. then #at3ramx+1;
end;

**Diagnosis without duration or clustering
    - just symptom count**;
#at3ract=1;  *** 8+ symptom groups ***;
if #at3rasx ge 8 then #at3ract=5;
else if #at3rasx+#at3ramx ge 8 then #at3ract=.;

#atscr2=0;  *** ADHD screener 2 ***;
if #at3rasx ge 4 then #atscr2=1;
else if #at3rasx+#at3ramx ge 4 then #atscr2=.;

#at3ra=1;  ** Criterion A **;
if #at3ract=5 & at15d=5 & at15e=5 then #at3ra=5;
else if #at3ract=. | (at15d=. & #atscr2=1 & #at3ract ne 1 & at15e ne 1) | (at15e=.
 & #atscr2=1 & #at3ract ne 1 & at15d ne 1) then #at3ra=.;

** ADHD Criterion B **;

#at3rb=1;  ** Criterion B **;
if 1 le at15a le 6 then #at3rb=5;
else if at15a=-9 | (at15a=. & #atscr2=1) then #at3rb=.;

** ADHD Criterion C not assessed **;

* ADHD Diagnosis *;

#at3r=1;
if #at3ra=5 & #at3rb=5 then #at3r=5;
else if #at3ra=. | (#at3rb=. & #at3ra ne 1) then #at3r=.;

label #at3ract='ADHD - Diag w/ 8+symptoms'
      #at3ra='ADHD - Criterion A'
      #at3rb='ADHD - Criterion B'
      #at3r='ADHD Diagnosis'
;
