***** canr.sas ***** (3/27/95);

* C-SSAGA DSM-III-R: Anorexia Nervosa Eating Disorder *;

** AN Criterion A **;

#an3ra=1;
if an3c_3=5 then #an3ra=5;
else if an1=9 | an3c_3=9 then #an3ra=.;

** AN Criterion B **;

#an3rb=1;
if an4=5 | an5=5 then #an3rb=5;
else if an4=3 | an5=3 then #an3rb=3;
else if an1=9 | an4=9 | an5=9 then #an3rb=.;

** AN Criterion C **;

#an3rc=an2;
if an1=9 | an2=9 then #an3rc=.;

** AN Criterion D **;

#an3rd=.N;
if dm1=2 & dm3 ge 9 then do;
 #an3rd=1;
 if an9=5 then #an3rd=5;
 else if an1=9 | an8=9 | an9=9 then #an3rd=.;
end;

* Anorexia Nervosa Diagnosis *;

#an3r=1;
if dm1=1 | dm3 le 8 then do;
 if #an3ra=5 & #an3rb=5 & #an3rc=5 then #an3r=5;
 else if #an3ra=5 & #an3rb ge 3 & #an3rc ge 3 then #an3r=3;
 else if #an3ra=. |(( #an3rb=. | #an3rc=.)& #an3ra ne 1) then #an3r=.;
end;
else if dm1=2 & dm3 ge 9 then do;
 if #an3ra=5 & #an3rb=5 & #an3rc=5 & #an3rd=5 then #an3r=5;
 else if #an3ra=5 & #an3rb ge 3 & #an3rc ge 3 & #an3rd=5 then #an3r=3;
 else if #an3ra=. |(( #an3rb=. | #an3rc=. | #an3rd=.)& #an3ra ne 1) then #an3r=.;
end;

label #an3ra='Anorexia - Criterion A'
      #an3rb='Anorexia - Criterion B'
      #an3rc='Anorexia - Criterion C'
      #an3rd='Anorexia - Criterion D'
      #an3r='Anorexia - Diagnosis'
;
