***** cbul.sas ***** (3/27/95);

* C-SSAGA DSM-III-R: Bulimia Nervosa Eating Disorder *;

** Bul Criterion A **;

#bu3ra=1;
if bu2a=5 | bu2b=5 then #bu3ra=5;
else if bu2a=3 then #bu3ra=3;
else if bu1a=9 | bu2b=9 then #bu3ra=.;

** Bul Criterion B **;

#bu3rb=bu7;
if #bu3ra=1 then #bu3rb=1;
else if #bu3ra=. | bu7=9 then #bu3rb=.;

** Bul Criterion C **;

#bu3rc=1;
if bu5=5 | bu6=5 then #bu3rc=5;
else if bu5=3 | bu6=3 then #bu3rc=3;
else if #bu3ra=. | bu5=9 | bu6=9 then #bu3rc=.;

** Bul Criterion D **;

#bu3rd=1;
if bu3=5 then #bu3rd=5;
else if #bu3ra=. | bu3=9 then #bu3rd=.;

** Bul Criterion E **;

#bu3re=1;
if bu4a=5 | bu4b=5 then #bu3re=5;
else if bu4a=3 | bu4b=3 then #bu3re=3;
else if #bu3ra=. | bu4a=9 | bu4b=9 then #bu3re=.;

* Bulimia Nervosa Diagnosis *;

#bu3r=1;
if #bu3ra=5 & #bu3rb=5 & #bu3rc=5 & #bu3rd=5 & #bu3re=5 then #bu3r=5;
else if #bu3ra ge 3 & #bu3rb ge 3 & #bu3rc ge 3 & #bu3rd=5 & #bu3re ge 3
 then #bu3r=3;
else if #bu3ra=. | ((#bu3rb=. | #bu3rc=. | #bu3rd=. | #bu3re=.) & #bu3ra ne 1) then #bu3r=.;

label #bu3ra='Bulimia - Criterion A'
      #bu3rb='Bulimia - Criterion B'
      #bu3rc='Bulimia - Criterion C'
      #bu3rd='Bulimia - Criterion D'
      #bu3re='Bulimia - Criterion E'
      #bu3r='Bulimia Diagnosis'
;

