***** cmj.sas ***** (3/27/95);

* C-SSAGA DSM-III-R: Psychoactive Substance (Marijuana) Use Disorder *;

** Marijuana Dependence **;

*** Mj Criterion A ***;

**** Mj screener 1 ****;
if mj1e ge 7 | (1 le mj1f le 4) then #mjscr1=1;
else if mj1a=1 | (0 le mj1e le 6) | mj1f=0 then #mjscr1=0;

#mj3ra1=1;  **** symptom group 1 ****;
if mj6b=5 | mj7b=5 then #mj3ra1=5;
else if mj6a=9 | mj6b=9 | mj7a=9 | mj7b=9 then #mj3ra1=.;

#mj3ra2=1;  **** symptom group 2 ****;
if mj8c=5 | mj8b=5 then #mj3ra2=5;
else if mj8a=9 | mj8b=9 | mj8c=9 then #mj3ra2=.;

#mj3ra3=1;  **** symptom group 3 ****;
if mj20=5 then #mj3ra3=5;
else if mj20=9 then #mj3ra3=.;

#mj3ra4=1;  **** symptom group 4 ****;
if mj14b=5 | mj15=5 | mj16b=5 | mj17b=5 then #mj3ra4=5;
else if mj14a=9 | mj14b=9 | mj15=9 | mj16a=9 | mj16b=9 | mj17a=9 | mj17b=9
 then #mj3ra4=.;

#mj3ra5=1;  **** symptom group 5 ****;
if mj9a=5 | mj9b=5 then #mj3ra5=5;
else if mj9a=9 | mj9b=9 then #mj3ra5=.;

#mj3ra6=1;  **** symptom group 6 ****;
if mj10e=5 | mj12f=5 | mj13b=5 then #mj3ra6=5;
else if mj10e=9 | mj10d=9 | (mj10d=. & (mj10a=9 | mj10b=9 | mj10c=9)) |
 mj12f=9 | mj12e=9 | (mj12e=. & (mj12a=9 | mj12b=9 | mj12c=9 | mj12d=9)) |
 mj13a=9 | mj13b=9 then #mj3ra6=.;

#mj3ra7=1;  **** symptom group 7 ****;
if mj4a=5 | mj4b=5 then #mj3ra7=5;
else if mj4a=9 | mj4b=9 then #mj3ra7=.;

#mj3ra8=1;  **** symptom group 8 ****;
if mj19b=5 then #mj3ra8=5;
else if mj19b=9 | (mj19b=. & ((mj18a_1=9)+(mj18a_2=9)+(mj18a_3=9)+(mj18a_4=9)
 +(mj18a_5=9)+(mj18a_6=9)+(mj18a_7=9) ge 2) | ((mj19a_1=9)+(mj19a_2=9)+(mj19a_3=9)
 + (mj19a_4=9)+(mj19a_5=9)+(mj19a_6=9)+(mj19a_7=9) ge 2)) then #mj3ra8=.;

#mj3ra9=1;  **** symptom group 9 ****;
if mj18b_1=5 | mj18b_2=5 | mj18b_3=5 | mj18b_4=5 | mj18b_5=5 | mj18b_6=5 |
 mj18b_7=5 then #mj3ra9=5;
else if mj18b_1=9 | mj18b_2=9 | mj18b_3=9 | mj18b_4=9 | mj18b_5=9 | mj18b_6=9
 | mj18b_7=9 | mj18a_1=9 | mj18a_2=9 | mj18a_3=9 | mj18a_4=9 | mj18a_5=9 |
 mj18a_6=9 | mj18a_7=9 then #mj3ra9=.;

array rymja #mj3ra1-#mj3ra9;
if #mjscr1=. then do over rymja;
 rymja=.;
end;

#mj3rasx=0; #mj3ramx=0;  **** symptom group counts ****;
do over rymja;
 if rymja=5 then #mj3rasx+1;
 else if rymja=. then #mj3ramx+1;
end;

#mj3ra=1;  *** Criterion A ***;
if #mj3rasx ge 3 then #mj3ra=5;
else if #mj3rasx+#mj3ramx ge 3 then #mj3ra=.;

*** Mj Criterion B ***;

#mj3rb=1;
if mj22b=5 then #mj3rb=5;
else if mj22b=9 | #mj3ramx ge 1 then #mj3rb=.;

** Marijuana Dependence Diagnosis **;

#mj3rde=1;
if #mj3ra=5 & #mj3rb=5 then #mj3rde=5;
else if #mj3ra=. | (#mj3ra ne 1 & #mj3rb=.) then #mj3rde=.;

** Marijuana Abuse **;

*** Mj Criterion A ***;

#mj3raa1=#mj3ra6;  **** symptom group 1 ****;

#mj3raa2=1;  **** symptom group 2 ****;
if mj16b=5 | mj17b=5 then #mj3raa2=5;
else if mj16a=9 | mj16b=9 | mj17a=9 | mj17b=9 then #mj3raa2=.;

if #mjscr1=. then do;
 #mj3raa1=.; #mj3raa2=.;
end;

#mj3raa=1;  *** Criterion A ***;
if #mj3raa1=5 | #mj3raa2=5 then #mj3raa=5;
else if #mj3raa1=. | #mj3raa2=. then #mj3raa=.;

*** Mj Criterion B ***;

#mj3rba=1;
if mj22b=5 then #mj3rba=5;
else if mj22b=9 | (#mj3raa1=. | #mj3raa2=.) then #mj3rba=.;

*** Mj Criterion C ***;

#mj3rca=1;
if #mj3rde=1 then #mj3rca=5;
else if #mj3rde=. then #mj3rca=.;

** Marijuana Abuse Diagnosis **;

#mj3rab=1;
if #mj3raa=5 & #mj3rba=5 & #mj3rca=5 then #mj3rab=5;
else if #mj3raa=. | (#mj3raa ne 1 & #mj3rca=.) | (#mj3raa ne 1 & #mj3rca ne 1
 & #mj3rba=.) then #mj3rab=.;

label #mj3ra='Marijuana Dependence - Criterion A'
      #mj3rb='Marijuana Dependence - Criterion B'
      #mj3rde='Marijuana Dependence - Diagnosis'
      #mj3raa='Marijuana Abuse - Criterion A'
      #mj3rba='Marijuana Abuse - Criterion B'
      #mj3rca='Marijuana Abuse - Criterion C'
      #mj3rab='Marijuana Abuse - Diagnosis'
;

