***** cobc.sas ***** (3/27/95);

* C-SSAGA DSM-III-R: Obsessive Compulsive Disorder *;

** Obsessions **;

*** Ob Criterion A ***;

#ob3ra1=1;  **** symptom group 1 ****;
if ob1=5 | ob2b=5 | ob3=5 | ob4=5 | ob5=5 then #ob3ra1=5;
else if ob1=3 | ob2b=3 | ob3=3 | ob4=3 | ob5=3 then #ob3ra1=3;
else if ob1=9 | ob2a=9 | ob2b=9 | ob3=9 | ob4=9 | ob5=9  then #ob3ra1=.;

#ob3ra2=1;  **** symptom group 2 ****;
if ob6=5 then #ob3ra2=5;
else if ob6=3 then #ob3ra2=3;
if ob6=9 | #ob3ra1=. then #ob3ra2=.;  * if vs else if intentional;

#ob3ra3=1;  **** symptom group 3 ****;
if ob7=5 then #ob3ra3=5;
else if ob7=3 then #ob3ra2=3;
if ob7=9 | #ob3ra1=. then #ob3ra3=.;  * if vs else if intentional;

**** symptom group 4 not assessed ****;

#ob3ra=1;  *** Criterion A ***;
if #ob3ra1=5 & #ob3ra2=5 & #ob3ra3=5 then #ob3ra=5;
else if #ob3ra1 ge 3 & #ob3ra2 ge 3 & #ob3ra3 ge 3 then #ob3ra=3;
else if #ob3ra1=. | #ob3ra2=. | #ob3ra3=. then #ob3ra=.;

*** Ob Criterion B ***;

#ob3rb=1;
if ob8a=5 | ob8b=2 then #ob3rb=5;
else if #ob3ra1=. | ob8a=9 | ob8b=9 then #ob3rb=.;

** Obsessions Diagnosis **;

#ob3r=1;
if #ob3ra=5 & #ob3rb=5 then #ob3r=5;
else if #ob3ra=3 & #ob3rb=5 then #ob3r=3;
else if (#ob3ra=. & #ob3rb ne 1) | (#ob3rb=. & #ob3ra ne 1) then #ob3r=.;

** Compulsions **;

*** Cp Criterion A ***;

#cp3ra1=1;  **** symptom group 1 ****;
if cp1=5 | cp2b=5 | cp3b=5 then #cp3ra1=5;
else if cp1=3 | cp2b=3 | cp3b=3 then #cp3ra1=3;
else if cp1=9 | cp2a=9 | cp2b=9 | cp3a=9 | cp3b=9 then #cp3ra1=.;

#cp3ra2=1;  **** symptom group 2 ****;
if cp4=5 then #cp3ra2=5;
else if cp4=3 then #cp3ra2=3;
if cp3a=9 | cp3b=9 | #cp3ra1=. then #cp3ra2=.;  * if vs else if intentional;

#cp3ra3=1;  **** symptom group 3 ****;
if cp5a=5 | cp5b=5 then #cp3ra3=5;
else if cp5a=3 | cp5b=3 then #cp3ra3=3;
else if cp5a=9 | cp5b=9 then #cp3ra3=.;
if #cp3ra1=. then #cp3ra3=.;  * if vs else if intentional;

#cp3ra=1;  *** Criterion A ***;
if #cp3ra1=5 & #cp3ra2=5 & #cp3ra3=5 then #cp3ra=5;
else if #cp3ra1 ge 3 & #cp3ra2 ge 3 & #cp3ra3 ge 3 then #cp3ra=3;
else if #cp3ra1=. | #cp3ra2=. | #cp3ra3=. then #cp3ra=.;

*** Cp Criterion B ***;

#cp3rb=1;
if cp6a=5 | cp6b=2 then #cp3rb=5;
else if #cp3ra1=. | cp6a=9 | cp6b=9 then #cp3rb=.;

** Compulsions Diagnosis **;

#cp3r=1;
if #cp3ra=5 & #cp3rb=5 then #cp3r=5;
else if #cp3ra=3 & #cp3rb=5 then #cp3r=3;
else if (#cp3ra=. & #cp3rb ne 1) | (#cp3rb=. & #cp3ra ne 1) then #cp3r=.;

* Obsessive Compulsive Diagnosis *;

#oc3r=1;
if #ob3r=5 | #cp3r=5 then #oc3r=5;
else if #ob3r=3 | #cp3r=3 then #oc3r=3;
else if #ob3r=. | #cp3r=. then #oc3r=.;

label #ob3ra='Obsession - Criterion A'
      #ob3rb='Obsession - Criterion B'
      #ob3r='Obsession Diagnosis'
      #cp3ra='Compulsion - Criterion A'
      #cp3rb='Compulsion - Criterion B'
      #cp3r='Compulsion - Diagnosis'
      #oc3r='Obsessive Compulsive Diagnosis'
;

