***** copp.sas *****;

* C-SSAGA DSM-III-R: Oppositional Defiant Disorder *;

** ODD Criterion A **;

array ryopa op1 op2a op3a op4 op6-op9;
array ryopb #op3ra1-#op3ra4 #op3ra6-#op3ra9;

do over ryopa;  *** symptom groups 1-4,6-9;
 ryopb=1;
 if ryopa=5 then ryopb=5;
 else if ryopa=9 then ryopb=.;
end;

#op3ra5=1;  *** symptom group 5 ***;
if op5=2 then #op3ra5=5;
else if op5=9 then #op3ra5=.;

*** ODD screener ***;
if #op3ra1=5 | #op3ra2=5 | #op3ra3=5 | #op3ra4=5 | #op3ra5=5 then #opscr1=1;
else if #op3ra1=1 & #op3ra2=1 & #op3ra3=1 & #op3ra4=1 & #op3ra5=1 then
 #opscr1=0;

if #opscr1=. then do;
 #op3ra6=.; #op3ra7=.; #op3ra8=.; #op3ra9=.;
end;

#op3rasx=0; #op3ramx=0;  *** symptom group counts ***;
array ryopc #op3ra1-#op3ra9;
do over ryopc;
 if ryopc=5 then #op3rasx+1;
 else if ryopc=. then #op3ramx+1;
end;

**Diagnosis without duration or clustering
    - just based on symptom count*;
#op3ract=1;  *** 5+ symptom groups ***;
if #op3rasx ge 5 then #op3ract=5;
else if #op3rasx+#op3ramx ge 5 then #op3ract=.;

#op3ra=1;  ** Criterion A **;
if #op3ract=5 & op10d=5 & op10e=5 then #op3ra=5;
else if #op3ract=. | (op10d=. & #op3ract ne 1 & op10e ne 1) | (op10e=. &
  #op3ract ne 1 & op10d ne 1) then #op3ra=.;

** ODD Criterion B not to be included (WR) **;

* ODD Diagnosis *;

#op3r=#op3ra;  * no Criterion B *;

label #op3ract='ODD -Diag w/5+Symptoms'
      #op3ra='ODD - Criterion A'
      #op3r='ODD - Diagnosis'
;

