***** cpsy.sas ***** (3/27/95);

* C-SSAGA Psychotic Symptoms *;

** Psychotic Sx Criterion A **;

array rypsa ps4 ps5 ps6;
array rypsb #ps3ra3-#ps3ra5;

do over rypsa;  *** symptom groups 3-5 ***;
 rypsb=1;
 if rypsa=5 then rypsb=5;
 else if rypsa=3 then rypsb=3;
 else if rypsa=9 then rypsb=.;
end;

#ps3ra1=1;  *** symptom group 1 ***;
if ps1a=5 & ps1c=1 then #ps3ra1=5;
else if ps1a ge 3 & ps1c=1 then #ps3ra1=3;
else if ps1a=9 | ps1c=9 then #ps3ra1=.;

#ps3ra2=1;  *** symptom group 2 ***;
if ps2a=5 | ps3=5 then #ps3ra2=5;
else if ps2a=3 | ps3=3 then #ps3ra2=3;
else if ps2a=9 | ps3=9 then #ps3ra2=.;

#ps3ra6=1;  *** symptom group 6 ***;
if ps7=5 | ps8=5 | ps9=5 | ps10=5 | ps11=5 | ps12=5 then #ps3ra6=5;
else if ps7=3 | ps8=3 | ps9=3 | ps10=3 | ps11=3 | ps12=3 then #ps3ra6=3;
else if ps7=9 | ps8=9 | ps9=9 | ps10=9 | ps11=9 | ps12=9 then #ps3ra6=.;

#ps3rsx5=0; #ps3rsx3=0; #ps3ramx=0;  *** symptom group counts ***;
array rypsc #ps3ra1-#ps3ra6;
do over rypsc;
 if rypsc=5 then #ps3rsx5+1;
 else if rypsc=. then #ps3ramx+1;
 if rypsc ge 3 then #ps3rsx3+1;  * if vs else if intentional;
end;

#ps3ra=1;  *** Criterion A ***;
if #ps3rsx5 ge 1 then #ps3ra=5;
else if #ps3rsx3 ge 1 then #ps3ra=3;
else if #ps3ramx ge 1 then #ps3ra=.;

** Other Psychotic Criteria not assessed **;

* Psychotic Sx Diagnosis *;

#ps3r=#ps3ra; * no other criteria;

label #ps3ra='Psychotic Symptoms - Criterion A'
      #ps3r'Psychotic Sx Diagnosis'
;

