***** csom.sas ***** (3/27/95);

* C-SSAGA DSM-III-R: Somatization Disorder *;

** Som Criterion A **;

#sm3ra=1;
if sm1=5 | sm2=5 then #sm3ra=5;
else if sm1=9 | sm2=9 then #sm3ra=.;
else if sm1=3 | sm2=3 then #sm3ra=3;

** Som Criterion B **;

array rysma sm3 sm4a sm4b sm4c sm4d sm4e;
array rysmb sm5 sm6a sm6b sm6c sm6d;
array rysmc sm7 sm8a sm8b sm8c;
array rysmd sm9 sm10 sm11a sm11b sm11c sm11d sm11e sm11f sm11g sm11h sm11i sm11j;
array rysme sm12b sm12c sm12d;

#sm3rsx5=0; #sm3rsx3=0; #sm3rbmx=0;  *** symptom group counts ***;
do over rysma;
 if sm3=9 then #sm3rbmx+1;
 else if rysma=5 then #sm3rsx5+1;
 else if rysma=9 then #sm3rbmx+1;
 if sm3 ne 9 & (rysma=3 | rysma=5) then #sm3rsx3+1;  * if vs else if intentional;
end;

do over rysmb;
 if sm5=9 then #sm3rbmx+1;
 else if rysmb=5 then #sm3rsx5+1;
 else if rysmb=9 then #sm3rbmx+1;
 if sm5 ne 9 & (rysmb=3 | rysmb=5) then #sm3rsx3+1;  * if vs else if intentional;
end;

do over rysmc;
 if sm7=9 then #sm3rbmx+1;
 else if rysmc=5 then #sm3rsx5+1;
 else if rysmc=9 then #sm3rbmx+1;
 if sm7 ne 9 & (rysmc=3 | rysmc=5) then #sm3rsx3+1;  * if vs else if intentional;
end;

do over rysmd;
 if sm9=9 & sm10=9 then #sm3rbmx+1;
 else if rysmd=5 then #sm3rsx5+1;
 else if rysmd=9 then #sm3rbmx+1;
 if (sm9 ne 9 | sm10 ne 9) & (rysmd=3 | rysmd=5) then #sm3rsx3+1;
end;

if dm1=2 & dm3 ge 9 then do over rysme;
 if sm12a=9 | sm12b=9 then #sm3rbmx+1;
 else if rysme=5 then #sm3rsx5+1;
 else if rysme=9 then #sm3rbmx+1;
 if sm12a ne 9 & sm12b ne 9 & (rysme=3 | rysme=5) then #sm3rsx3+1;
end;

#sm3rb5=1; #sm3rb3=1;  ** Criterion B **;
if #sm3rsx5 ge 13 then #sm3rb5=5;
else if #sm3rsx5+#sm3rbmx ge 13 then #sm3rb5=.;
if #sm3rsx3 ge 13 then #sm3rb3=5;
else if #sm3rsx3+#sm3rbmx ge 13 then #sm3rb3=.;

* Somatization Diagnosis *;

#sm3r=1;
if #sm3ra=5 & #sm3rb5=5 then #sm3r=5;
else if #sm3ra=. | #sm3rb5=. then #sm3r=.;
else if #sm3ra=5 & #sm3rb3=5 then #sm3r=3;
else if #sm3rb3=. then #sm3r=.;

label #sm3ra='Somatization - Criterion A'
      #sm3rb5='Somat. - Criterion B - no alc/drg use'
      #sm3rb3='Somat. - Criterion B - alc/drg use'
      #sm3r='Somatization Diagnosis'
;
