***heic.sas***;
**11/13/95**;


%macro heic(b,var,numb,name);
 array &b &var;
 do over &b;
 if &b=&numb then &name+1;
 end;
%mend heic;

%macro heic2(c,var,numb,name);
 array &c &var;
 do over &c;
 if &c=&numb then &name+2;
 end;
%mend heic2;
one=1; two=2; three=3; four=4; five=5;


***School Activities***;
activ=0;
%heic(a1,sc6a sc7 sc8a sc9a sc10a,five,activ);
%heic2(a2,sc1 sc12 sc14c,one,activ);
%heic(b1,sc1 sc8b sc11,two,activ);
%heic2(b1a,sc12,two,activ);
%heic(c1,sc2b sc5a,one,activ);
%heic(d1,sc8b sc11 sc12 sc14c,three,activ);

***Parents' Time spent with child***;
time=0;
array miss pt1a_1--pt8c_3;
do over miss;
if miss=9 then miss=.;
end;

u1a=max(pt1a_1,pt1a_2,pt1a_3);
u1b=min(pt1b_1,pt1b_2,pt1b_3);
u2=max(pt2_1,pt2_2,pt2_3);
u3=pt3;
u4a=max(pt4a_1,pt4a_2,pt4a_3);
u5=min(pt5_1,pt5_2,pt5_3);
u6=min(pt6_1,pt6_2,pt6_3);
u7=max(pt7_1,pt7_2,pt7_3); 
u8a=max(pt8a_1,pt8a_2,pt8a_3);
u8c=max(pt8c_1,pt8c_2,pt8c_3);

%heic(e1,u1a u2 u4a u7 u8a u8c,five,time)
%heic(f1,u1b u5 u6,one,time)
%heic(g1,u1b u3,two,time)
%heic(h1,u3,three,time)

***Discipline***;
discip=0;
array miss2 di1_1--di3_3;
do over miss2;
if miss2=9 then miss2=.;
end;

v1=max(di1_1,di1_2,di1_3);
v2=max(di2_1,di2_2,di2_3);
v3=max(di3_1,di3_2,di3_3);

%heic2(b2,v1 v2 v3,three,discip);
%heic(j1,v1 v2 v3,two,discip);

***Role Models***;
role=0;
array miss3 ad1_1--ad9_3;
do over miss3;
if miss3=9 then miss3=.;
end;

w1=max(ad1_1,ad1_2,ad1_3);
w2=max(ad2_1,ad2_2,ad2_3);
w3=max(ad3_1,ad3_2,ad3_3);
w4=max(ad4_1,ad4_2,ad4_3);
w5=max(ad5_1,ad5_2,ad5_3);
w6=max(ad6_1,ad6_2,ad6_3);
w7=max(ad7_1,ad7_2,ad7_3);
w8=max(ad8_1,ad8_2,ad8_3);
w9=max(ad9_1,ad9_2,ad9_3);
w10=min(ad10_1,ad10_2,ad10_3);

%heic(k1,w1 w2 w3 w4 w5 w6 w7,five,role);
%heic(l1,w8 w9,three,role);
%heic(l1a,w8 w9,two,role); 
%heic(m1,w10,one,role);


***Family Rules***;
rules=0;
%heic(n1,fr1a fr2a fr3a fr4a,five,rules);
%heic(o1,fr3b,three,rules);
%heic(o1a,fr3b,two,rules);


***Peer Relations***;
peers=0;
%heic(p1,pe1 pe3c_1 pe5b_1,one,peers);
%heic(q1,pe2 pe3a pe4 pe5a,five,peers);


***Sibling Network***;
sibling=0;
%heic(r1,sb1 sb2 sb7,two,sibling);
%heic(r1a,sb1 sb7,three,sibling);
%heic(r1b,sb2,one,sibling);
%heic(r1c,sb7,four,sibling);
%heic(s1,sb3a sb4 sb5 sb6,five,sibling);


***Total score***;
heic=activ+time+discip+role+rules+peers+sibling;

label
  activ='School and other activities'
  time='Parents time spent with child'
  discip='Discipline'
  role='Adults as role models'
  rules='Family rules'
  peers='Peer relations'
  sibling='Sibling network'
  heic='Total score on Home environment'
;


