***3/27/95 (rev)***;

***** cdep.sas *****;

* C-SSAGA DSM-III-R: Major Depressive Episode *;

** MD screeners **;

*** MD screener 1 (current scr) ***;
if (md2a=5 | md2b=5 | md2c=5 | md2d=5 | md2e=5) & md3a=5 then #mdscr1=1;
else if (md2a=1 & md2b=1 & md2c=1 & md2d=1 & md2e=1) | md3a=1 then #mdscr1=0;

*** MD screener 2 (other time scr) ***;
if (md6a=5 | md6b=5 | md6c=5 | md6d=5 | md6e=5) & md7a=5 then #mdscr2=1;
else if (md6a=1 & md6b=1 & md6c=1 & md6d=1 & md6e=1) | md7a=1 then #mdscr2=0;


*** MD screener 4 (current clean scr) ***;
if md4a=1 & (md4b=1 | (md4b=5 & (md4c=1 | md4c=2))) & md4e=1 then #mdscr4=1;
else if md4a=5 | (md4b=5 & (3 ge md4c ge 998)) | md4e=5 then #mdscr4=0;

*** MD screener 5 (other time 1 clean scr) ***;
if md10a=1 & (md10b=1 | (md10b=5 & (md10c=1 | md10c=2))) & md10e=1 then
 #mdscr5=1;
else if md10a=5 | (md10b=5 & (3 ge md10c ge 998)) | md10e=5 then #mdscr5=0;

*** MD screener 6 (other time 2 clean scr) ***;
if #mdscr5 ne 1 & md12a=5 & md12d=1 then #mdscr6=1;
else if md12a=1 | md12d=5 then #mdscr6=0;

** Major Depressive Episodes **;

*** MD Criterion A (current) ***;

  **** symptom group 1 ****;
if md3b=5 then #mdc3ra1=5;
else if (md2a=1 & md2b=1 & md2e=1) | md3b=1 | md3a=1 then #mdc3ra1=1;

  **** symptom group 2 ****;
if md3c=5 then #mdc3ra2=5;
else if (md2c=1 & md2d=1) | md3c=1 | md3a=1 then #mdc3ra2=1;

#mdc3ra3=1;  **** symptom group 3 ****;
if mda_19b=5 | mda_20b=5 | mda_19a=5 | mda_20a=5 then #mdc3ra3=5;
else if mda_19a=9 | mda_19b=9 | mda_20a=9 | mda_20b=9 then #mdc3ra3=.;

#mdc3ra4=1;  **** symptom group 4 ****;
if mda_21a=5 | mda_21b=5 | mda_21c=5 | mda_21d=5 then #mdc3ra4=5;
else if mda_21a=9 | mda_21b=9 | mda_21c=9 | mda_21d=9 then #mdc3ra4=.;

#mdc3ra5=1;  **** symptom group 5 ****;
if mda_22=5 | mda_23=5 then #mdc3ra5=5;
else if mda_22=9 | mda_23=9 then #mdc3ra5=.;

#mdc3ra6=1;  **** symptom group 6 ****;
if mda_24=5 then #mdc3ra6=5;
else if mda_24=9 then #mdc3ra6=.;

#mdc3ra7=1;  **** symptom group 7 ****;
if mda_25=5 | mda_26=5 then #mdc3ra7=5;
else if mda_25=9 | mda_26=9 then #mdc3ra7=.;

#mdc3ra8=1;  **** symptom group 8 ****;
if mda_27a=5 | mda_27b=5 | mda_28a=5 | mda_28b=5 then #mdc3ra8=5;
else if mda_27a=9 | mda_27b=9 | mda_28a=9 | mda_28b=9 then #mdc3ra8=.;

#mdc3ra9=1;  **** symptom group 9 ****;
if mda_29a=5 | mda_29b=5 | mda_29c=5 | mda_29d=5 then #mdc3ra9=5;
else if mda_29a=9 | mda_29b=9 | mda_29c=9 | mda_29d=9 then #mdc3ra9=.;


*** MD Criterion A (other time) ***;

  **** symptom group 1 ****;
if md7b=5 | md12b=5 then #mdp3ra1=5;
else if (md6a=1 & md6b=1 & md6c=1) | md7b=1 | md12b=1 then #mdp3ra1=1;

  **** symptom group 2 ****;
if md7c=5 | md12c=5 then #mdp3ra2=5;
else if (md6d=1 & md6e=1) | md7c=1 | md12c=1 then #mdp3ra2=1;

#mdp3ra3=1;  **** symptom group 3 ****;
if mdb_19a=5 | mdb_19b=5 | mdb_20a=5 | mdb_20b=5 then #mdp3ra3=5;
else if mdb_19a=9 | mdb_19b=9 | mdb_20a=9 | mdb_20b=9 then #mdp3ra3=.;

#mdp3ra4=1;  **** symptom group 4 ****;
if mdb_21a=5 | mdb_21b=5 | mdb_21c=5 | mdb_21d=5 then #mdp3ra4=5;
else if mdb_21a=9 | mdb_21b=9 | mdb_21c=9 | mdb_21d=9 then #mdp3ra4=.;

#mdp3ra5=1;  **** symptom group 5 ****;
if mdb_22=5 | mdb_23=5 then #mdp3ra5=5;
else if mdb_22=9 | mdb_23=9 then #mdp3ra5=.;

#mdp3ra6=1;  **** symptom group 6 ****;
if mdb_24=5 then #mdp3ra6=5;
else if mdb_24=9 then #mdp3ra6=.;

#mdp3ra7=1;  **** symptom group 7 ****;
if mdb_25=5 | mdb_26=5 then #mdp3ra7=5;
else if mdb_25=9 | mdb_26=9 then #mdp3ra7=.;

#mdp3ra8=1;  **** symptom group 8 ****;
if mdb_27a=5 | mdb_27b=5 | mdb_28a=5 | mdb_28b=5 then #mdp3ra8=5;
else if mdb_27a=9 | mdb_27b=9 | mdb_28a=9 | mdb_28b=9 then #mdp3ra8=.;

#mdp3ra9=1;  **** symptom group 9 ****;
if mdb_29a=5 | mdb_29b=5 | mdb_29c=5 | mdb_29d=5 then #mdp3ra9=5;
else if mdb_29a=9 | mdb_29b=9 | mdb_29c=9 | mdb_29d=9 then #mdp3ra9=.;

cur_past=0;
array rymda #mdc3ra1-#mdc3ra9;
array rymdb #mdp3ra1-#mdp3ra9;
if (#mdscr1=1 & #mdscr2 ne 1) | (#mdscr4=1 & #mdscr5 ne 1 & #mdscr6 ne 1) then
do over rymda;
 if _I_ le 2 then rymdb=rymda;
 cur_past=1;
 if _I_ gt 2 & rymda=5 then rymdb=rymda;
 if _I_ gt 2 then rymda=.;
 if #mdscr1=. then rymda=.;
end;

#mdc3rsx=0; #mdc3rmx=0;  **** symptom group counts (current) ****;
do over rymda;
 if rymda=5 then #mdc3rsx+1;
 else if rymda=. then #mdc3rmx+1;
end;

#mdc3rac=1;  **** 5+ symptom groups *****;
if #mdc3rsx ge 5 then #mdc3rac=5;
else if #mdc3rsx+#mdc3rmx ge 5 then #mdc3rac=.;

#mdc3ra=1;  *** Criterion A ***;
if #mdc3rac=5 & (#mdc3ra1=5 | #mdc3ra2=5) & mda_30b=5 then #mdc3ra=5;
else if (#mdc3rac=. & (#mdc3ra1 ne 1 | #mdc3ra2 ne 1)) | (#mdc3rac ne . &
 ((#mdc3ra1=. & #mdc3ra2 ne 5) | (#mdc3ra1 ne 5 & #mdc3ra2=.))) |
 (#mdc3rac ne 1 & (#mdc3ra1 ne 1 | #mdc3ra1 ne 1) & mda_30b=9) then #mdc3ra=.;

*** MD Criterion B ***;

#mdc3rb1=1;  **** B group 1 (alc & drug)****;
if mda_31c=5 | #mdscr4=0 then #mdc3rb1=5;
else if mda_31c=9 & #mdscr4 = . then #mdc3rb1=.;

#mdc3rb2=1;  **** B group 2 (bereavement)****;
if mda_31a=5 then #mdc3rb2=5;
else if mda_31a=9 then #mdc3rb2=.;

#mdc3rb3=1;  **** B group 3 (illness/injury)****;
if mda_31b=5 then #mdc3rb3=5;
else if mda_31b=9 then #mdc3rb3=.;

#mdc3rb=1;  *** Criterion B ***;
if #mdc3rb1=1 & #mdc3rb2=1 & #mdc3rb3=1 then #mdc3rb=5;
else if #mdc3rb1=. | #mdc3rb2=. | #mdc3rb3=. then #mdc3rb=.;

** Current Depressive Episode Diagnosis **;

#mdc3r=1;
if #mdc3ra=5 & #mdc3rb=5 then #mdc3r=5;
else if #mdc3ra=5 & #mdc3rb1=5 then #mdc3r=4; *alc&drg*;
else if #mdc3ra=5 & #mdc3rb2=5 then #mdc3r=3; *bereavement*; 
else if #mdc3ra=5 & #mdc3rb3=5 then #mdc3r=2; *illness/injury*; 
else if #mdc3ra=. | (#mdc3rb=. & #mdc3ra ne 1) then #mdc3r=.;

#mdp3rsx=0; #mdp3rmx=0;  **** symptom group counts (other time) ****;
do over rymdb;
 if rymdb=5 then #mdp3rsx+1;
 else if rymdb=. then #mdp3rmx+1;
end;

#mdp3rac=1;  **** 5+ symptom groups *****;
if #mdp3rsx ge 5 then #mdp3rac=5;
else if #mdp3rsx+#mdp3rmx ge 5 then #mdp3rac=.;

#mdp3ra=1;  *** Criterion A ***;
if #mdp3rac=5 & (#mdp3ra1=5 | #mdp3ra2=5) & mdb_30b=5 then #mdp3ra=5;
else if (#mdp3rac=. & (#mdp3ra1 ne 1 | #mdp3ra2 ne 1)) | (#mdp3rac ne . &
 ((#mdp3ra1=. & #mdp3ra2 ne 5) | (#mdp3ra1 ne 5 & #mdp3ra2=.))) |
 (#mdp3rac ne 1 & (#mdp3ra1 ne 1 | #mdp3ra1 ne 1) & mdb_30b=9) then #mdp3ra=.;

*** MD Criterion B ***;

#mdp3rb1=1;  **** B group 1 (alc&drug)****;
if mdb_31c=5 | #mdscr5=0 | #mdscr6=0 then #mdp3rb1=5;
else if cur_past=1 & (#mdscr4=0 | mda_31c=5) then #mdp3rb1=5;
else if mdb_31c=9 & #mdscr5=. & #mdscr6=. then #mdp3rb1=.;
else if cur_past=1 & #mdscr4=. & mda_31c=9 then #mdp3rb1=.; 

#mdp3rb2=1;  **** B group 2 (bereavement)****;
if mdb_31a=5 then #mdp3rb2=5;
else if cur_past=1 & mda_31a=5 then #mdp3rb2=5;
else if mdb_31a=9 then #mdp3rb2=.;

#mdp3rb3=1;  **** B group 3 (illness/injury)****;
if mdb_31b=5 then #mdp3rb3=5;
else if cur_past=1 & mda_31b=5 then #mdp3rb3=5;
else if mdb_31b=9 then #mdp3rb3=.;

#mdp3rb=1;  *** Criterion B ***;
if #mdp3rb1=1 & #mdp3rb2=1 & #mdp3rb3=1 then #mdp3rb=5;
else if #mdp3rb1=. | #mdp3rb2=. | #mdp3rb3=. then #mdp3rb=.;

** Other Time Depressive Episode Diagnosis **;

#mdp3r=1;
if #mdp3ra=5 & #mdp3rb=5 then #mdp3r=5;
else if #mdp3ra=5 & #mdp3rb1=5 then #mdp3r=4; *alc&drug*;
else if #mdp3ra=5 & #mdp3rb2=5 then #mdp3r=3; *bereavement*;
else if #mdp3ra=5 & #mdp3rb3=5 then #mdp3r=2; *injury/illness*;
else if #mdp3ra=. | (#mdp3rb=.& #mdp3ra ne 1) then #mdp3r=.;

label #mdc3ra='Cur. Depression, Crit. A' 
      #mdc3rb1='Cur. Depression,Crit. B-Alc&Drug use'
      #mdc3rb2='Cur. Depres. Crit.B-bereavement'
      #mdc3rb3='Cur. Depres. Crit.B-illness/injury'
      #mdc3rb='Cur.Depres. Crit.B-No other factors'
      #mdc3r='Cur. Depres. Diagnosis'
      #mdp3ra='Past Depression, Crit. A' 
      #mdp3rb1='Past Depression,Crit. B-Alc&Drug use'
      #mdp3rb2='Past Depres. Crit.B-bereavement'
      #mdp3rb3='Past Depres. Crit.B-illness/injury' 
      #mdp3rb='Past Depres. Crit.B-No other factors'
      #mdp3r='Past Depres. Diagnosis' 
      cur_past='Current episode moved into past'
;

** Additional Dirty episodes of Depression**;

*** MD Criterion A **;

***symptom 1 & 2 ***;
#mdd3ra1=1; #mdd3ra2=1;  **** symptom group 1 & 2 ****;
if md35a=5 then #mdd3ra1=5 ;
else if md35a=9 then #mdd3ra1=.;
if md35a=5 then #mdd3ra2=5 ;
else if md35a=9 then #mdd3ra2=.;

#mdd3ra3=1;  **** symptom group 3 ****;
if md35c_1=5 | md35c_2=5 then #mdd3ra3=5;
else if md35c_1=9 | md35c_2=9 then #mdd3ra3=.;

#mdd3ra4=1;  **** symptom group 4 ****;
if md35c_3=5 then #mdd3ra4=5;
else if md35c_3=9 then #mdd3ra4=.; 

#mdd3ra5=1;  **** symptom group 5 ****;
if md35c_4=5 | md35c_5=5 then #mdd3ra5=5;
else if md35c_4=9 | md35c_5=9 then #mdd3ra5=.;

#mdd3ra6=1;  **** symptom group 6 ****;
if md35c_6=5 then #mdd3ra6=5;
else if md35c_6=9 then #mdd3ra6=.;

#mdd3ra7=1;  **** symptom group 7 ****;
if md35c_7=5 then #mdd3ra7=5;
else if md35c_7=9 then #mdd3ra7=.;

#mdd3ra8=1;  **** symptom group 8 ****;
if md35c_8=5 | md35c_9=5 then #mdd3ra8=5;
else if md35c_8=9 | md35c_9=9 then #mdd3ra8=.;

#mdd3ra9=1;  **** symptom group 9 ****;
if md35c_10=5 then #mdd3ra9=5;
else if md35c_10=9 then #mdd3ra9=.;

array rymdd #mdd3ra1-#mdd3ra9;

#mdd3rsx=0; #mdd3rmx=0;  **** symptom group counts ****;
do over rymdd;
 if rymdd=5 then #mdd3rsx+1;
 else if rymdd=. then #mdd3rmx+1;
end;
 
#mdd3rac=1;  **** 5+ symptom groups *****;
if #mdd3rsx ge 5 then #mdd3rac=5;
else if #mdd3rsx+#mdd3rmx ge 5 then #mdd3rac=.;
 
#mdd3ra=1;  *** Criterion A ***;
if #mdd3rac=5 & (#mdd3ra1=5 | #mdd3ra2=5) & md35d=5 then #mdd3ra=5;
else if (#mdd3rac=. & (#mdd3ra1 ne 1 | #mdd3ra2 ne 1)) 
 | md35d=9 then #mdd3ra=.;

*** Criterion B not assessed - It is dirty ***;

**** MD - Dirty diagnoses **** ;

#mdd3r=#mdd3ra;

 
** Other clean episodes of Depression**;
 
*** MD Criterion A **;
 
***symptom 1 & 2 ***;
#mdo3ra1=1; #mdl3ra2=1;  **** symptom group 1 & 2 ****;
if md36a=5 then #mdo3ra1=5 ;
else if md36a=9 then #mdo3ra1=.;
if md36a=5 then #mdo3ra2=5;
else if md36a=9 then #mdo3ra2=.;
 
#mdo3ra3=1;  **** symptom group 3 ****;
if md36c_1=5 | md36c_2=5 then #mdo3ra3=5;
else if md36c_1=9 | md36c_2=9 then #mdo3ra3=.;
 
#mdo3ra4=1;  **** symptom group 4 ****;
if md36c_3=5 then #mdo3ra4=5;
else if md36c_3=9 then #mdo3ra4=.;
 
#mdo3ra5=1;  **** symptom group 5 ****;
if md36c_4=5 | md36c_5=5 then #mdo3ra5=5;
else if md36c_4=9 | md36c_5=9 then #mdo3ra5=.;
 
#mdo3ra6=1;  **** symptom group 6 ****;
if md36c_6=5 then #mdo3ra6=5;
else if md36c_6=9 then #mdo3ra6=.;
 
#mdo3ra7=1;  **** symptom group 7 ****;
if md36c_7=5 then #mdo3ra7=5;
else if md36c_7=9 then #mdo3ra7=.;
 
#mdo3ra8=1;  **** symptom group 8 ****;
if md36c_8=5 | md36c_9=5 then #mdo3ra8=5;
else if md36c_8=9 | md36c_9=9 then #mdo3ra8=.;
 
#mdo3ra9=1;  **** symptom group 9 ****;
if md36c_10=5 then #mdo3ra9=5;
else if md36c_10=9 then #mdo3ra9=.;
 
array rymdo #mdo3ra1-#mdo3ra9; 
 
#mdo3rsx=0; #mdo3rmx=0;  **** symptom group counts ****;
do over rymdo; 
 if rymdo=5 then #mdo3rsx+1; 
 else if rymdo=. then #mdo3rmx+1; 
end; 
  
#mdo3rac=1;  **** 5+ symptom groups *****; 
if #mdo3rsx ge 5 then #mdo3rac=5; 
else if #mdo3rsx+#mdo3rmx ge 5 then #mdo3rac=.; 
  
#mdo3ra=1;  *** Criterion A ***; 
if #mdo3rac=5 & (#mdo3ra1=5 | #mdo3ra2=5) & md36d=5 then #mdo3ra=5; 
else if (#mdo3rac=. & (#mdo3ra1 ne 1 | #mdo3ra2 ne 1 )) 
 | md36d=9 then #mdo3ra=.; 
 
*** Criterion B not assessed - It is clean ***;

****Other MD - diagnoses **** ;
 
#mdo3r=#mdo3ra;

label #mdd3ra='Additional Dirty MD - Criterion A'
      #mdo3ra='Other clean MD - Criterion A'
      #mdd3r='MD Diagnosis - Dirty'
      #mdo3r='Other MD clean Diagnosis'
;
 
